<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for BudgetExchangeRateFilter StructType
 * @subpackage Structs
 */
class BudgetExchangeRateFilter extends AbstractStructBase
{
    /**
     * The period
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var \StructType\RecordRef
     */
    public $period;
    /**
     * The fromSubsidiary
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\RecordRef
     */
    public $fromSubsidiary;
    /**
     * The toSubsidiary
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\RecordRef
     */
    public $toSubsidiary;
    /**
     * Constructor method for BudgetExchangeRateFilter
     * @uses BudgetExchangeRateFilter::setPeriod()
     * @uses BudgetExchangeRateFilter::setFromSubsidiary()
     * @uses BudgetExchangeRateFilter::setToSubsidiary()
     * @param \StructType\RecordRef $period
     * @param \StructType\RecordRef $fromSubsidiary
     * @param \StructType\RecordRef $toSubsidiary
     */
    public function __construct(\StructType\RecordRef $period = null, \StructType\RecordRef $fromSubsidiary = null, \StructType\RecordRef $toSubsidiary = null)
    {
        $this
            ->setPeriod($period)
            ->setFromSubsidiary($fromSubsidiary)
            ->setToSubsidiary($toSubsidiary);
    }
    /**
     * Get period value
     * @return \StructType\RecordRef
     */
    public function getPeriod()
    {
        return $this->period;
    }
    /**
     * Set period value
     * @param \StructType\RecordRef $period
     * @return \StructType\BudgetExchangeRateFilter
     */
    public function setPeriod(\StructType\RecordRef $period = null)
    {
        $this->period = $period;
        return $this;
    }
    /**
     * Get fromSubsidiary value
     * @return \StructType\RecordRef|null
     */
    public function getFromSubsidiary()
    {
        return $this->fromSubsidiary;
    }
    /**
     * Set fromSubsidiary value
     * @param \StructType\RecordRef $fromSubsidiary
     * @return \StructType\BudgetExchangeRateFilter
     */
    public function setFromSubsidiary(\StructType\RecordRef $fromSubsidiary = null)
    {
        $this->fromSubsidiary = $fromSubsidiary;
        return $this;
    }
    /**
     * Get toSubsidiary value
     * @return \StructType\RecordRef|null
     */
    public function getToSubsidiary()
    {
        return $this->toSubsidiary;
    }
    /**
     * Set toSubsidiary value
     * @param \StructType\RecordRef $toSubsidiary
     * @return \StructType\BudgetExchangeRateFilter
     */
    public function setToSubsidiary(\StructType\RecordRef $toSubsidiary = null)
    {
        $this->toSubsidiary = $toSubsidiary;
        return $this;
    }
}
